<template>
  <section :class="sectionClassList">
    <header class="token-header">
      <h1 v-if="!isSubcontent" class="token-title">{{ tokenTitle }}</h1>
      <h2 v-else class="token-subtitle">{{ tokenSubtitle }}</h2>
      <button class="token-collapse" type="button" @click="toggleContent">collapse</button>
    </header>
    <div v-if="isOpen" class="token-content">
      <slot></slot>
    </div>
  </section>
</template>

<script>
const TokenSection = {
  name: "tokenSection",
  props: {
    isSubcontent: {
      type: Boolean,
      default: false,
    },
    tokenSubtitle: {
      type: String,
      default: null,
    },
    tokenTitle: {
      type: String,
      default: null,
    },
  },
  data() {
    return {
      isOpen: false,
    }
  },
  computed: {
    sectionClassList() {
      return {
        token: !this.isSubcontent,
        "bg-main-base": !this.isSubcontent,
        "token-subcontent": this.isSubcontent,
      }
    },
  },
  methods: {
    toggleContent() {
      this.isOpen = !this.isOpen
    },
  },
}

export default TokenSection
</script>

<style></style>
